1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

3.5 - 1.5 now what...

Discussion in 'Sony PSP - Mod and firmware discussion' started by slightlyi, Sep 9, 2007.

  1. slightlyi

    slightlyi Guest

    So I bought a PSP version 3.5, got Lumines, and downgraded to version 1.5.

    I put Fast Loader .7 on and could succesfully run to iso's but From Russia with Love and Splinter Cell Essentials would not work.

    Are there better iso loaders?
    I looked into Devhook, but I have the TA-082 because when I open the UMD I see the "IC1003."

    Is that still and issue?

    thanks for your help.
     
  2. MARK_2K8

    MARK_2K8 Guest

    3.52 M33= built in iso loader . upgrade to custom firmware

    but if you dun want to DAXZISO loader is one of the best. by....dark alex! :)
     
  3. stevo86

    stevo86 Guest

    update to custom firmware go with either 3.40oe-a or 3.52m33-4(newest)
     
  4. slightlyi

    slightlyi Guest

    Ok, Ill give it a try. does it come with a built in iso loader?
    thanks again
     
  5. sicdude

    sicdude Regular member

    Joined:
    Jun 12, 2013
    Messages:
    2,861
    Likes Received:
    0
    Trophy Points:
    46
    yes it does have a built in iso loader,your best bet would be 3.52m33-4 it is the newest and has the most features
     

Share This Page